name: 'LTP lite'
universal_id: ltp
origin: kernel_public_tests
location: distribution/ltp/lite
maintainers:
  - name: Memory Management
    email: mm-qe@redhat.com
    gitlab: mm-qe
max_duration_seconds: 18000
enabled:
  components:
    not:
      or:
        # LTP would often fail due to some test timeout on debug kernels
        - debugbuild
cases:
  default:
    enabled:
      not:
        trees:
          or:
            - fedora-latest|rawhide|eln|autosd|rhivos
    target_sources:
      - '@block'          # due to RHEL-65631
      - '@lib'            # due to RHEL-71049
      - '@mm'
    cases:
      baremetal:
        sets:
          - kt1
          - mem
        name: bare_metal
        host_types: bare_metal
      vm:
        enabled:
          not:
            or:
              # no suitable s390x with <hypervisor op="!=" value=""/>
              - trees: rhel6.*
                arches: s390x
        sets:
          - cloud
          - kt1
          - mem
        name: vm
        host_types: vm
  automotive:
    name: 'AUTOSD - RHIVOS'
    max_duration_seconds: 28800
    enabled:
      trees:
        - autosd|rhivos
    sets:
      - cloud
      - automotive
    host_types: normal
    environment:
      # xattr04 is for xfs *only* ; kcmp03 test issue
      SKIPTESTS: "getxattr04 kcmp03"
      RUNTESTS: "RHIVOSLITE"
    trigger_sources:
      - .*\.[ch]

  x86_64:
    # The set itself doesn't matter
    # We should trigger only on MR where we use --set '.*',
    # but without any set the test doesn't trigger
    sets:
      - kt1
    target_sources:
      - '@x86'          # due to RHEL-71828
    high_cost: true
    enabled:
      arches: x86_64
      not:
        trees:
          or:
            - fedora-latest|rawhide|eln
    cases:
      amd:
        name: amd
        host_types: amd
        trigger_sources:
          - arch/.*amd.*
      intel:
        name: intel
        host_types: intel
        trigger_sources:
          - arch/.*intel.*

  storage:
    # The set itself doesn't matter
    # We should trigger only on MR where we use --set '.*',
    # but without any set the test doesn't trigger
    sets:
      - kt1
    high_cost: true
    enabled:
      components:
        - not: debugbuild
      arches: x86_64
      trees:
        or:
          - rhel7.*
          - rhel8.*
          - rhel9.*|c9s
          - rhel10.*|c10s
    cases:
      lpfc:
        name: lpfc
        host_types: lpfc
        target_sources:
          - '@lpfc'

      qla2xxx:
        name: qla2xxx
        host_types: qla2xxx
        target_sources:
          - '@qla2xxx'

      qedf:
        name: qedf
        host_types: qedf
        target_sources:
          - '@qedf'

      megaraid_sas:
        name: megaraid_sas
        target_sources:
          - '@megaraid_sas'
        cases:
          gen3:
            name: gen3
            host_types: megaraid_sas_gen3

          gen3_5:
            name: gen3_5
            host_types: megaraid_sas_gen3_5

      mpt3sas:
        name: mpt3sas
        target_sources:
          - '@mpt3sas'
        cases:
          gen1:
            name: gen1
            host_types: mpt3sas_gen1

          gen2:
            name: gen2
            host_types: mpt3sas_gen2
